Bug 286351 - Add support of Samba's winbind authentication
Add support of Samba's winbind authentication
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Janousek
Fedora Extras Quality Assurance
http://www.dovecot.org/patches/1.0/do...
: EasyFix, FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 12:53 EDT by Dmitry Butskoy
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.0.7-16.fc7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 19:11:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed changes for the .spec file (586 bytes, patch)
2007-09-11 12:53 EDT, Dmitry Butskoy
no flags Details | Diff

  None (edit)
Description Dmitry Butskoy 2007-09-11 12:53:19 EDT
Latest Dovecot upstream development version (1.1.alpha...) already has an
additional authentication mechanism (src/auth/mech-winbind.c), which allows to
perform NTLM and GSS-SPNEGO authentications against Windows domain, by use of
Samba's "ntlm_auth" helper and "winbind" daemon.

The correspond patch was written by me (initially for dovecot-1.0 tree), then
applied upstream for v1.1 . I've backport the final v1.1 implementation to v1.0
as a separate patch, available at
http://www.dovecot.org/patches/1.0/dovecot-1.0.3-winbind.patch

These new features allow users of "strong" windomain environment to use
sa-called "SPA" authentication in their mail program for access to Dovecot
and/or Postfix. (Without SPA, the users have to specify login/password manually,
and then, either mail servers have to use a separate login database, or users
have to change mail account password settings each time they change their domain
passwords).

The patch is just an "addon", it changes nothing in other parts of Dovecot,
hence it could be safely applied for F7 too.
Comment 1 Dmitry Butskoy 2007-09-11 12:53:19 EDT
Created attachment 192691 [details]
proposed changes for the .spec file
Comment 2 Fedora Update System 2007-11-06 11:13:03 EST
dovecot-1.0.7-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dovecot'
Comment 3 Dmitry Butskoy 2007-11-06 11:27:06 EST
Excellent!

Thanks for adding this to F7 as well.


P.S. In the next release, please, s/wibnind/winbind/ in %changelog ;)
Comment 4 Fedora Update System 2007-11-09 18:42:06 EST
dovecot-1.0.7-16.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dovecot'
Comment 5 Fedora Update System 2007-11-12 19:11:29 EST
dovecot-1.0.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-11-12 19:11:50 EST
dovecot-1.0.7-16.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.